function [month] = date2month(date);%,dayin,PlusMinus1)
%Transforms the dates in format 20100310 to month (xbt data) 
%Input Variables: date =/ex.  20100310 
%month
%Usage:
%[year_month_day] = month2date(month)

mths = {'jan';'feb';'mar';'apr';'may';'jun';'jul';
        'aug';'sep';'oct';'nov';'dec'};
mthsnum = {'01';'02';'03';'04';'05';'06';'07';'08';'09';'10';'11';'12'};

%Get the month and year
for f = 1:size(date,1)
    
month_y = date(f,3:4);
month_m = date(f,5:6);

[a] = find(strcmpi(month_m,mthsnum));

%Include previous month or next month, depending on you request (PlusMinus1)
%Correct if a>12 and a<1
month(f,:) = strcat(mths{a},month_y);
end
return
