%Transforms month from format 200304 into a fraction
%of year: 2.0033e+03
function [new_data] = month2yfraction(data_mon,mode)
path_i = pwd;
     ai = strfind(path_i,'/');
addpath([path_i(1:ai(2)),'mgoes/matlab/timeutil/'])


warning('off');warning('This file was changed')

if nargin==1,mode = 'leap';end
disp(mode)

switch mode

case '360_day'
ndays_y = [30 30 30 30 30 30 30 30 30 30 30 30];
ndays_n = [30 30 30 30 30 30 30 30 30 30 30 30];
case 'noleap'
ndays_y = [31 28 31 30 31 30 31 31 30 31 30 31];
ndays_n = [31 28 31 30 31 30 31 31 30 31 30 31];
case 'leap'
ndays_y = [31 29 31 30 31 30 31 31 30 31 30 31];
ndays_n = [31 28 31 30 31 30 31 31 30 31 30 31];
end

[nmonths,incday] = size(data_mon);

%%%%OLD%%%%%%%%%%%%%%%%%%
% new_data = ones(1,nmonths)*nan;
% frac_day = 0;
% for i =1:nmonths
% year =  str2double(data_mon(i,1:4));
% if (isempty(year)||isnan(year)),continue;end
% month = str2double(data_mon(i,5:6))-1; %from zero to 11
% if (month>12),continue;end
% %Check if year is leap
% log_leap = isleapyear(year);
% if log_leap, ndays = ndays_y; else ndays = ndays_n;end
% 
% frac_month = month/12;
% frac_month_p = (month+1)/12;
% if (incday>6 && ~isnan(month))
%    day   = str2double(data_mon(i,7:8))-1;
%    frac_day = (frac_month_p-frac_month)*day/(ndays(month+1));%+1);
% end
% new_data(i)=year + frac_month + frac_day;
% end
% return


new_data = ones(1,nmonths)*nan;

for i =1:nmonths
year =  str2double(data_mon(i,1:4));
if (isempty(year)||isnan(year)),continue;end
month = str2double(data_mon(i,5:6));%-1; %from zero to 11
if (month>12),continue;end
log_leap = isleapyear(year);
if log_leap, ndays = ndays_y; else ndays = ndays_n;end
frac_day = 0;
if (incday>6 && ~isnan(month))
   day   = str2double(data_mon(i,7:8));%-1;
   fracy = [0 cumsum(ndays)];
   mdif = fracy(month) + day;
   frac_day = mdif/sum(ndays);%+1);
end
new_data(i)=year + frac_day; 
end

return
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% for i =1:nmonths
% year =  str2double(data_mon(i,1:4));
% month = str2double(data_mon(i,5:6));
%     frac_month = month/13;
%     frac_month_p = (month+1)/13;
%     if (incday>6 && ~isnan(month))
%      day   = str2double(data_mon(i,7:8));
%      frac_day = (frac_month_p-frac_month)*day/(ndays(month)+1);
%     end
% 
% new_data(i)=year + frac_month + frac_day;
% end

% frac = ymd_mean(i) - year;
% month_day = new_data - floor(new_data);
% month = floor(frac*12);
% frac_month_p = (month+1)/12
% frac_month = month/12
% day = (month_day - frac_month)/(frac_month_p-frac_month)*(ndays(month+1)+1)+1
